{
  "compilerOptions": {
    "target": "ESNext",
    "lib": ["DOM", "DOM.Iterable", "ESNext"],
    "module": "ESNext",
    "skipLibCheck": true,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,

    /* Aliases */
    "rootDir": ".",
    "paths": {
      "@/*": ["./src/*"]
    },

    /* Emotion */
    "jsxImportSource": "@emotion/react"
  },
  "include": ["vite.config.ts", ".eslintrc.cjs", "src"],
  "references": [{ "path": "./tsconfig.node.json" }],
}
